PKCS12 Certificate could not be loaded due to unsupported keysize

Technote (troubleshooting)


Problem(Abstract)

WPG customer can not load a PKCS12 and is getting the error message:

Certificate could not be loaded due to unsupported keysize. Please refer to the documentation for further details. Error details : Error in loading the keystore: Private key decryption error: (java.lang.SecurityException: Unsupported keysize or algorithm parameters)

Symptom

Error message suggesting unsupported keysize

Cause

Java Policy

Resolving the problem

https://www14.software.ibm.com/webapp/iwm/web/reg/pick.do?source=jcesdk&lang=en_US

Contains new Java policy and customer is advised to download new Java policy to resolve the problem.

Important Note: Customer must have an IBM userid and password to download the Java policy.


Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

WebSphere Partner Gateway Advanced Edition

Software version:

6.1, 6.1.0.1, 6.1.0.2

Operating system(s):

AIX, Windows

Software edition:

All Editions, Enterprise

Reference #:

1389969

Modified date:

2011-11-11

Translate my page

Machine Translation

Content navigation